"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = exports.desc = exports.command = exports.builder = void 0;
var _yargs = require("../cli/yargs");
var _ciTask = require("../tasks/ciTask");
const command = exports.command = 'ci';
const desc = exports.desc = 'Run build, analyse, tests, license and deps tasks';
const options = {
  group: `${command}-Options`
};
const handler = exports.handler = (0, _yargs.createHandler)(_ciTask.ciTask);
const builder = exports.builder = (0, _yargs.createBuilder)(command, yargs => yargs.options({
  build: {
    ...options,
    type: 'boolean',
    alias: 'b',
    describe: 'Executes additionally the build process'
  }
}));